/***************************************************************************
                          cattree.h  -  description
                             -------------------
    begin                : Tue Apr 15 2003
    copyright            : (C) 2003 by Stefano Salvador
    email                : salva_ste@tin.it
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CATTREE_H
#define CATTREE_H

class CatalogEntry;

/**
  *@author Stefano Salvador
  */

class CatTreeItem {
public: 
  CatTreeItem( CatTreeItem *parent = 0, CatalogEntry *entry = 0 );
  ~CatTreeItem();
public: // Public attributes
  /**  */
  CatalogEntry *entry;
  /**  */
  CatTreeItem * parent;
  /**  */
  CatTreeItem * child;
  /**  */
  CatTreeItem * next;
  /** */
  int numChild;
};

#endif
