/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Tue Mar 18 14:57:05 CET 2003
    copyright            : (C) 2003 by Stefano Salvador
    email                : salva_ste@tin.it
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "katalog.h"

static const char *description =
	I18N_NOOP("Katalog");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("file to open"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

	KAboutData aboutData( "katalog", I18N_NOOP("Katalog"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 2003, Stefano Salvador", 0, 0, "salva_ste@tin.it");
	aboutData.addAuthor("Stefano Salvador",0, "salva_ste@tin.it");
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
 
  if (app.isRestored())
  {
    RESTORE(KatalogApp);
  }
  else 
  {
    KatalogApp *katalog = new KatalogApp();
    katalog->show();

    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
		
		if (args->count())
		{
        katalog->openDocumentFile(args->arg(0));
		}
		else
		{
		  katalog->openDocumentFile();
		}
		args->clear();
  }

  return app.exec();
}  
